OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
XSControl

# XSControl_SignTransferStatus Class Reference

This Signatures gives the Transfer Status of an entity, as
recorded in a TransferProcess. It can be :
- Void : not recorded, or recorded as void with no message
(attributes are not taken into account)
- Warning : no result, warning message(s), no fail
- Fail : no result, fail messages (with or without warning)
- Result.. : result, no message (neither warning nor fail)
Result.. i.e. Result:TypeName of the result
- Result../Warning : result, with warning but no fail
- Result../Fail : result, with fail (.e. bad result)
- Fail on run : no result yet recorded, no message, but
an exception occurred while recording the result
(this should not appear and indicates a programming error)
.

`#include <XSControl_SignTransferStatus.hxx>`

Inheritance diagram for XSControl_SignTransferStatus:

[legend]

## Public Member Functions
Standard_EXPORT | XSControl_SignTransferStatus ()
| Creates a SignTransferStatus, not initialised it gives nothing (empty string) .
Standard_EXPORT | XSControl_SignTransferStatus (const Handle(XSControl_TransferReader)&TR)
| Creates a SignTransferStatus, which will work on the current TransientProcess brought by the TransferReader (its MapReader) .
Standard_EXPORT void | SetReader (const Handle(XSControl_TransferReader)&TR)
| Sets a TransferReader to work .
Standard_EXPORT void | SetMap (const Handle(Transfer_TransientProcess)&TP)
| Sets a precise map to sign entities This definition oversedes the creation with a TransferReader .
Standard_EXPORT Handle_Transfer_TransientProcess | Map () const
| Returns the TransientProcess used as precised one Returns a Null Handle for a creation from a TransferReader without any further setting .
Standard_EXPORT Handle_XSControl_TransferReader | Reader () const
| Returns the Reader (if created with a Reader) Returns a Null Handle if not created with a Reader .
Standard_EXPORT Standard_CString | Value (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns the Signature for a Transient object, as its transfer status .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_XSControl_TransferReader | theTR
Handle_Transfer_TransientProcess | theTP

## Constructor & Destructor Documentation

Standard_EXPORT XSControl_SignTransferStatus::XSControl_SignTransferStatus | ( |  | ) |

Standard_EXPORT XSControl_SignTransferStatus::XSControl_SignTransferStatus | ( | const Handle(XSControl_TransferReader)& | TR | ) |

## Member Function Documentation

Standard_EXPORT const XSControl_SignTransferStatus::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Signature.

Standard_EXPORT Handle_Transfer_TransientProcess XSControl_SignTransferStatus::Map | ( |  | ) | const

Standard_EXPORT Handle_XSControl_TransferReader XSControl_SignTransferStatus::Reader | ( |  | ) | const

Standard_EXPORT void XSControl_SignTransferStatus::SetMap | ( | const Handle(Transfer_TransientProcess)& | TP | ) |

Standard_EXPORT void XSControl_SignTransferStatus::SetReader | ( | const Handle(XSControl_TransferReader)& | TR | ) |

Standard_EXPORT Standard_CString XSControl_SignTransferStatus::Value | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements Interface_SignType.

## Field Documentation

Handle_Transfer_TransientProcess XSControl_SignTransferStatus::theTP`[private]`

Handle_XSControl_TransferReader XSControl_SignTransferStatus::theTR`[private]`

The documentation for this class was generated from the following file:

- XSControl_SignTransferStatus.hxx